from celery import shared_task

from core.services.sms_service import SendService

sms_service = SendService()

@shared_task
def send_sms_msg(phone_number, message):
    phone_number = phone_number.lstrip("+")
    if not phone_number.startswith("998"):
        phone_number = "998" + phone_number
    res = sms_service.send_sms(phone_number, message)   
    return res